net.sf.jasperreports.engine

## Interface JREllipse

- All Superinterfaces:
    java.lang.Cloneable, JRChild, JRCloneable, JRCommonElement, JRCommonGraphicElement, JRElement, JRGraphicElement, JRIdentifiable, JRPenContainer, JRPropertiesHolder, JRStyleContainer, JRVisitable
  All Known Implementing Classes:
    JRBaseEllipse, JRDesignEllipse, JRFillEllipse

      public interface JREllipse
      extends JRGraphicElement

  An abstract representation of a graphic element representing an ellipse.

  Ellipses are the most basic graphic elements. As such, there are no supplementary settings to declare an ellipse element besides those already mentioned in the sections for the `<reportElement>` and `<graphicElement>` tags.
  Version:
    $Id: JREllipse.java 7043 2014-04-24 12:11:59Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, collectExpressions, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement

      `getFillValue, getLinePen, getOwnFillValue, setFill`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer

      `getDefaultLineColor, getDefaultLineWidth`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com